//
// Created by slinky on 5/11/26.
//

#ifndef B_ENGINE_UISCENEGRAPH_H
#define B_ENGINE_UISCENEGRAPH_H

#include "IUIPanel.h"
#include "Scene.h"

#include "entt/entt.hpp"

class UISceneGraph : public IUIPanel {
public:
    void update(EditorContext& ctx) override;
private:
    void draw_children(entt::entity e, Scene* scene, EditorContext& ctx);
};

#endif //B_ENGINE_UISCENEGRAPH_H
